/*font-style*/

body {
     background: #cccc;
  
}

.bg-gradient {
  background: linear-gradient(135deg, #ffd280, #ffa500, #ff8000);
}

@keyframes floating {
  0% {
    -webkit-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
  }

  50% {
    -webkit-transform: translate(-50%, 8%);
    transform: translate(-50%, 8%);
  }

  100% {
    -webkit-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
  }
}

@-webkit-keyframes floating {
  0% {
    -webkit-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
  }

  50% {
    -webkit-transform: translate(-50%, 8%);
    transform: translate(-50%, 8%);
  }

  100% {
    -webkit-transform: translate(-50%, 0%);
    transform: translate(-50%, 0%);
  }
}

.shop_card::-webkit-scrollbar-thumb {
  background-color: #c6005c;
  border-radius: 5px;
}

.company_card::-webkit-scrollbar-thumb {
  background-color: #155dfc;
  border-radius: 5px;
}


.mouse_scroll {
  -webkit-animation: floating 2s infinite;
  animation: floating 2s infinite;
}

.bg_dark_section {
  background-color: #1f2732;
  background-image: url('../../images/siteBulider/texture.png');
}


.add_app {
  position: relative;
  overflow: hidden;

}

.add_webSite {
  position: absolute;

  transition: all 0.6s ease-in-out;
}

.card_shop {

  z-index: 1;
}
.card_news {
  

  z-index: 1;
  transition: transform 0.6s ease-in-out;
}

.overlay-container {
  position: absolute;

  overflow: hidden;
  transition: transform 0.6s ease-in-out;
}

.add_app.right-panel-active .card_shop {
  opacity: 1;
  z-index: 10;
}



.add_app.right-panel-active .card_shop {
  opacity: 1;
  z-index: 10;
}

@keyframes moveUpThenDown {
  0% {
    transform: translateY(0);
    z-index: 2;
  }
  50% {
    transform: translateY(-50%);
  }
  100% {
    transform: translateY(0);
    z-index: 1;
  }
}

@keyframes moveDownThenUp {
  0% {
    transform: translateY(0);
    z-index: 1;
  }
  50% {
    transform: translateY(50%);
  }
  100% {
    transform: translateY(0);
    z-index: 2;
  }
}

@media (max-width: 767px) {
  .add_app.left-panel-active .card_news {
    transform: translateY(-100%);
  }

  .add_app.right-panel-active .overlay-container {
    animation: moveDownThenUp 1s ease-in-out forwards;
  }
  .add_app.right-panel-active .card_news {
    animation: moveUpThenDown 1s ease-in-out forwards;
  }
}

@media (min-width: 768px) {

  .add_app.right-panel-active .card_shop {
    transform: translateX(-100%);
  }

  .add_app.left-panel-active .card_news {
    transform: translateX(100%);
  }

  .add_app.right-panel-active .overlay-container {
    transform: translateX(100%);
  }
}
